package com.brave.domain;

import lombok.Data;

/**
 * 药品详情
 */

@Data
public class MedicineDetail {

    /**
     * 药品详情主键ID
     */
    private Integer medicineDetailId;
    /**
     * 药品ID
     */
    public Integer medicineId;
    /**
     * 药品成分
     */
    private String ingredient;
    /**
     * 用药禁忌
     */
    private Integer medicineAvoid;
    /**
     * 功能主治
     */
    private String majorFunction;
    /**
     * 用法用量
     */
    private String usageAndDosage;
    /**
     * 药品性状
     */
    private String character;
    /**
     * 包装规格
     */
    private String packageSpecification;
    /**
     * 不良反应
     */
    private String adverseReaction;
}
