package com.brave.utils;

import org.json.JSONObject;
import org.springframework.util.FileCopyUtils;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public class BaiDuAiCheck {

    public static JSONObject checkImg(MultipartFile file) throws IOException {
        byte[] files = FileCopyUtils.copyToByteArray(file.getInputStream());
        JSONObject response = BaiDuAiConfig.client.imageCensorUserDefined(files, null);
        System.out.println(response);
        return response;
    }


    public static JSONObject checkText(String text){
        org.json.JSONObject response = BaiDuAiConfig.client.textCensorUserDefined(text);
        return response;
    }
}
