package com.brave.controller;

import com.brave.domain.User;
import com.brave.result.Result;
import com.brave.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;


    @GetMapping("/findUserPhone/{phone}")
    public Result<User> findUserPhone(@PathVariable String phone){
        User user=userService.findUserPhone(phone);
        return Result.success(user);
    }
}
