package com.brave.controller;

import com.brave.domain.User;
import com.brave.result.Result;
import com.brave.service.AuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController

public class AuthController {

    @Autowired
    private AuthService authService;




    @GetMapping("/sendCode/{phone}")
    public Result sendCode(@PathVariable String phone){
        Result result=authService.sendCode(phone);
        return Result.success(result);
    }


    @PostMapping("codeLogin")
    public Result codeLogin(@RequestBody User user){
        Result<User> result=authService.codeLogin(user);
        return result;
    }


    @GetMapping("/info")
    public Result<User> info(){
        return authService.info();
    }
}
