package com.brave.feign;

import com.brave.domain.User;
import com.brave.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "brave-system")
public interface AuthFeign {

    @GetMapping("/user/findUserPhone/{phone}")
    Result<User> findUserPhone(@PathVariable String phone);
}
