package com.brave.domain;

import lombok.Data;

/**
 * 病症详情
 */
@Data
public class DiseaseDetatil {

    /**
     * 病症详情主键ID
     */
    private Integer diseaseDetailId;
    /**
     * 病症ID关联科室表二级ID
     */
    public Integer diseaseId;
    /**
     * 病理
     */
    private String pathology;
    /**
     * 症状
     */
    private String symptom;
    /**
     * 宜与忌（注意事项）
     */
    private String attention;
    /**
     * 西医治疗内容
     */
    private String westernTreatment;

}
