package com.brave.entity;

import java.util.List;

/**
 * 文本审核结果返回
 */
public class TextCheckReturn {

    /**
     * 请求唯一ID，用于定位问题
     */
    private long log_id;
    /**
     * 审核结果，可取值：合规、不合规、疑似、审核失败
     */
    private String conclusion;
    /**
     * 审核结果类型，可取值1.合规，2.不合规，3.疑似，4.审核失败
     */
    private Integer conlusionType;
    /**
     * 不合规 疑似/命中白名单项详细信息
     */
    public List<TextData> data;


    public long getLog_id() {
        return log_id;
    }

    public void setLog_id(long log_id) {
        this.log_id = log_id;
    }

    public String getConclusion() {
        return conclusion;
    }

    public void setConclusion(String conclusion) {
        this.conclusion = conclusion;
    }

    public Integer getConlusionType() {
        return conlusionType;
    }

    public void setConlusionType(Integer conlusionType) {
        this.conlusionType = conlusionType;
    }

    public List<TextData> getData() {
        return data;
    }

    public void setData(List<TextData> data) {
        this.data = data;
    }


    @Override
    public String toString() {
        return "{" +
                "log_id=" + log_id +
                ", conclusion='" + conclusion + '\'' +
                ", conlusionType=" + conlusionType +
                ", data=" + data +
                '}';
    }
}
