package com.brave.controller;

import com.brave.domain.He;
import com.brave.result.Result;
import com.brave.service.HeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/he")
public class HeController {

    @Autowired
    private HeService heService;


    @PostMapping("/list")
    public Result<List<He>> list(@RequestParam String name){
        List<He> list=heService.list(name);
        return Result.success(list);
    }

}
