package com.brave.controller;

import com.brave.domain.Moreover;
import com.brave.result.Result;
import com.brave.service.MoreoverService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/moreover")
public class MoreoverController {
    @Autowired
    private MoreoverService moreoverService;




    @GetMapping("/findById/{id}")
    public Moreover findById(@PathVariable Integer id){
        Moreover moreover=moreoverService.findById(id);
        return moreover;
    }


    @PostMapping("/del/{id}")
    public Result del(@PathVariable Integer id){
        Result result=moreoverService.del(id);
        return result;
    }

    @PostMapping("/add")
    public Result add(@RequestBody Moreover moreover){
        Result result=moreoverService.add(moreover);
        return result;
    }
}
