package com.brave.mapper;

import com.brave.domain.Disease;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DiseaseMapper {
    Disease findById(@Param("id") Integer id);

    List<Disease> findByParentId(@Param("parentId") Integer parentId);

    void addDisease(Disease disease);
}
